scala.collection.mutable
class SynchronizedPriorityQueue

[source: `scala/collection/mutable/SynchronizedPriorityQueue.scala`]

`` `class` SynchronizedPriorityQueue[A](`implicit` view$0 : (A) => Ordered[A])
  `extends` PriorityQueue[A]

  This class implements synchronized priority queues using a heap. The elements of the queue have to be ordered in terms of the `Ordered[T]` class.

Author
  Matthias Zenger
Version
  1.0, 03/05/2004

Values and Variables inherited from ResizableArray
initialSize, array

Method Summary
`override def` | ++= (it : Iterator[A]) : Unit Adds all elements provided by an iterator into the priority queue.
`override def` | ++= (iter : Iterable[A]) : Unit Adds all elements provided by an `Iterable` object into the priority queue.
`override def` | += (elem : A) : Unit Inserts a single element into the priority queue.
`override def` | clear : Unit Removes all elements from the queue. After this operation is completed, the queue will be empty.
`override def` | dequeue : A Returns the element with the highest priority in the queue, and removes this element from the queue.
`override def` | elements : Iterator[A] Returns an iterator which yiels all the elements of the priority queue in descending priority order.
`override def` | enqueue (elems : A*) : Unit Adds all elements to the queue.
`override def` | equals (that : Any) : Boolean Checks if two queues are structurally identical.
`override def` | hashCode : Int The hashCode method always yields an error, since it is not safe to use mutable queues as keys in hash tables.
`override def` | isEmpty : Boolean Checks if the queue is empty.
`override def` | max : A Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.
`override def` | toString : String Returns a textual representation of a queue as a string.

Methods inherited from PriorityQueue
fixUp, fixDown, +, +=, +, ++, ++, toQueue, clone

Methods inherited from ResizableArray
size0, size0_=, length, apply, reduceToSize, copyToArray, copyToBuffer, ensureSize, swap, copy

Methods inherited from RandomAccessSeq
projection, +++

Methods inherited from Seq
size, concat, last, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, takeWhile, dropWhile, reverse, contains, slice, subseq, toArray

Methods inherited from Collection
stringPrefix, equalWith

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, toList, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` isEmpty : Boolean

  Checks if the queue is empty.

Returns
  true, iff there is no element in the queue.

Overrides
  PriorityQueue.isEmpty

`override` `def` +=(elem : A) : Unit

  Inserts a single element into the priority queue.

Parameters
  `elem -` the element to insert

Overrides
  PriorityQueue.+=

`override` `def` ++=(iter : Iterable[A]) : Unit

  Adds all elements provided by an `Iterable` object into the priority queue.

Parameters
  `iter -` an iterable object

Overrides
  PriorityQueue.++=

`override` `def` ++=(it : Iterator[A]) : Unit

  Adds all elements provided by an iterator into the priority queue.

Parameters
  `it -` an iterator

Overrides
  PriorityQueue.++=

`override` `def` enqueue(elems : A*) : Unit

  Adds all elements to the queue.

Parameters
  `elems -` the elements to add.

Overrides
  PriorityQueue.enqueue

`override` `def` dequeue : A

  Returns the element with the highest priority in the queue, and removes this element from the queue.

Returns
  the element with the highest priority.

Overrides
  PriorityQueue.dequeue

`override` `def` max : A

  Returns the element with the highest priority in the queue, or throws an error if there is no element contained in the queue.

Returns
  the element with the highest priority.

Overrides
  PriorityQueue.max

`override` `def` clear : Unit

  Removes all elements from the queue. After this operation is completed, the queue will be empty.

Overrides
  PriorityQueue.clear

`override` `def` elements : Iterator[A]

  Returns an iterator which yiels all the elements of the priority queue in descending priority order.

Returns
  an iterator over all elements sorted in descending order.

Overrides
  PriorityQueue.elements

`override` `def` equals(that : Any) : Boolean

  Checks if two queues are structurally identical.

Returns
  true, iff both queues contain the same sequence of elements.

Overrides
  PriorityQueue.equals

`override` `def` hashCode : Int

  The hashCode method always yields an error, since it is not safe to use mutable queues as keys in hash tables.

Returns
  never.

Overrides
  PriorityQueue.hashCode

`override` `def` toString : String

  Returns a textual representation of a queue as a string.

Returns
  the string representation of this queue.

Overrides
  PriorityQueue.toString